unit pit;

interface

uses console;

const
	ClockHz: LongWord = 1193180;

var
	TimerTicks: LongWord = 0;
	Ticks: LongWord = 0;

procedure init_timer(Hz: LongWord);
procedure Delay(Ticks: LongWord);
procedure TimerHandler;

implementation

procedure init_timer(Hz: LongWord);
begin
	outportb($43, $36);
	outportb($40, (ClockHz div Hz) and $FF);
	outportb($40, (ClockHz div Hz) >> 8);
end;

procedure TimerHandler;[public,alias:'TimerHandler'];
begin
	TimerTicks := TimerTicks + 1;
end;

procedure Delay(Ticks: LongWord);
begin
	Ticks := Ticks + TimerTicks;
	While Ticks > TimerTicks do {nic};
end;

end.