[BITS 32]
[SECTION .text]
[GLOBAL keys_isr]
keys_isr:
  pusha
  push gs
  push fs
  push es
  push ds

  extern keys
  call keys

  mov dx, $20 ; \/
  mov al, $20 ; EOI
  out dx, al ;      /\

  pop ds
  pop es
  pop fs
  pop gs
  popa
  iret


[GLOBAL unknown_interrupt_isr]
unknown_interrupt_isr:
  pusha
  push gs
  push fs
  push es
  push ds

  mov dx, $20 ; \/
  mov al, $20 ; EOI
  out dx, al ;      /\

  pop ds
  pop es
  pop fs
  pop gs
  popa
  iret

[GLOBAL timer_isr]
timer_isr:
  pusha
  push gs
  push fs
  push es
  push ds

  extern TimerHandler
  call TimerHandler

  mov dx, $20 ; \/
  mov al, $20 ; EOI
  out dx, al ;      /\

  pop ds
  pop es
  pop fs
  pop gs
  popa
  iret

[GLOBAL floppy_isr]
floppy_isr:
  pusha
  push gs
  push fs
  push es
  push ds

  extern FloppyHandler
  call FloppyHandler

  mov dx, $20 ; \/
  mov al, $20 ; EOI
  out dx, al ;      /\

  pop ds
  pop es
  pop fs
  pop gs
  popa
  iret

[SECTION .bss]
[SECTION .data]
